## e-mail-formatter-utils e-mail-formatter-utils |

## Functions

void | e_mail_formatter_format_header ()
void | e_mail_formatter_format_text_header ()
gchar * | e_mail_formatter_format_address ()
void | e_mail_formatter_canon_header_name ()
GList * | e_mail_formatter_find_rfc822_end_iter ()
gchar * | e_mail_formatter_parse_html_mnemonics ()
void | e_mail_formatter_format_security_header ()

## Description

## Functions

### e_mail_formatter_format_header ()

    void
    e_mail_formatter_format_header (EMailFormatter *formatter,
                                    GString *buffer,
                                    const gchar *header_name,
                                    const gchar *header_value,
                                    guint32 flags,
                                    const gchar *charset);

### e_mail_formatter_format_text_header ()

    void
    e_mail_formatter_format_text_header (EMailFormatter *formatter,
                                         GString *buffer,
                                         const gchar *label,
                                         const gchar *value,
                                         guint32 flags);

### e_mail_formatter_format_address ()

    gchar *
    e_mail_formatter_format_address (EMailFormatter *formatter,
                                     GString *out,
                                     struct _camel_header_address *a,
                                     const gchar *field,
                                     gboolean no_links,
                                     gboolean elipsize);

### e_mail_formatter_canon_header_name ()

    void
    e_mail_formatter_canon_header_name (gchar *name);

### e_mail_formatter_find_rfc822_end_iter ()

    GList *
    e_mail_formatter_find_rfc822_end_iter (GList *rfc822_start_iter);

### e_mail_formatter_parse_html_mnemonics ()

    gchar *
    e_mail_formatter_parse_html_mnemonics (const gchar *label,
                                           gchar **out_access_key);

### e_mail_formatter_format_security_header ()

    void
    e_mail_formatter_format_security_header
                                   (EMailFormatter *formatter,
                                    EMailFormatterContext *context,
                                    GString *buffer,
                                    EMailPart *part,
                                    guint32 flags);

## Types and Values